import request from '@/utils/request'

// 查询设备配置列表
export function listDeviceconfig(query) {
  return request({
    url: '/plc/deviceconfig/list',
    method: 'get',
    params: query
  })
}

// 查询设备配置详细
export function getDeviceconfig(id) {
  return request({
    url: '/plc/deviceconfig/' + id,
    method: 'get'
  })
}

// 新增设备配置
export function addDeviceconfig(data) {
  return request({
    url: '/plc/deviceconfig',
    method: 'post',
    data: data
  })
}

// 修改设备配置
export function updateDeviceconfig(data) {
  return request({
    url: '/plc/deviceconfig',
    method: 'put',
    data: data
  })
}

// 删除设备配置
export function delDeviceconfig(id) {
  return request({
    url: '/plc/deviceconfig/' + id,
    method: 'delete'
  })
}
